=== debian/changelog ===
ganv (0~svn4142~dfsg0-1ubuntu1) quantal; urgency=low

  * Fix FTBFS because of unexpected gmacros.h inclusion and unexpected gtk.h
    location.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 26 May 2012 11:27:02 +0400

ganv (0~svn4142~dfsg0-1) unstable; urgency=low

  * Imported upstream snapshot svn4124.
  * Fix Vcs-Browser field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Apr 2012 11:58:54 +0200

ganv (0~svn4103~dfsg0-1) unstable; urgency=low

  * Initial release (Closes: #665805).

 -- Alessio Treglia <alessio@debian.org>  Mon, 26 Mar 2012 12:28:29 +0200
