=== debian/control ===
Source: ganv
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 gir1.2-gtk-2.0,
 gobject-introspection,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 python
Standards-Version: 3.9.3
Homepage: http://dev.drobilla.net/browser/trunk/ganv
Vcs-Git: git://git.debian.org/git/collab-maint/ganv.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ganv.git

Package: libganv-1-1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: canvas widget for graph-based interfaces
 Ganv is an interactive Gtkmm canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive graphs,
 etc).
 .
 Ganv provides classes for "Modules" (boxes with "Ports"), Circles, and
 Edges (lines that connect either Ports or Circles).  The user can rearrange
 items, or Ganv can automatically arrange items using GraphViz.  Edges can
 be made by the user one at a time with the mouse, or in groups using the mouse
 and keyboard.
 .
 This package provides the shared library.

Package: libganv-dev
Section: libdevel
Architecture: any
Depends:
 libganv-1-1 (= ${binary:Version}),
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends}
Description: canvas widget for graph-based interfaces (development files)
 Ganv is an interactive Gtkmm canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive graphs,
 etc).
 .
 This package provides the development files for the Ganv library.

Package: gir1.2-ganv-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: GObject Introspection data for Ganv
 Ganv is an interactive Gtkmm canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive graphs,
 etc).
 .
 This package provides the introspection data for the Ganv library.
