## ganv 0~svn4468~dfsg0

=== wscript ===
--- 
+++ 
@@ -151,9 +151,11 @@
     if bld.is_defined('HAVE_GIR'):
         bld.add_group()
 
-        top_level = (len(bld.stack_path) > 1)
-        bld_dir   = os.path.join(out, APPNAME) if top_level else out
-        pc_path   = os.path.abspath(os.path.join(bld_dir, 'ganv-1.pc'))
+        bld_dir = os.path.join(out, APPNAME)
+        if not (len(bld.stack_path) > 1):  # not top-level
+            bld_dir = out
+
+        pc_path = os.path.abspath(os.path.join(bld_dir, 'ganv-1.pc'))
 
         gir = bld(
             name         = 'ganv-gir',
@@ -164,6 +166,7 @@
             ' --no-libtool ' +
             ('--pkg=%s' % pc_path) +
             (' -I%s' % bld.path.bldpath()) +
+            ''.join([' -I' + path for path in bld.env.INCLUDES_GTK]) +
             (' -L%s' % bld_dir) +
             ' --library=ganv-1'
             ' --include=GObject-2.0 --include=Gdk-2.0 --include Gtk-2.0'
