=== debian/changelog ===
ganv (0~svn4468~dfsg0-1) unstable; urgency=low

  * New upstream snapshot:
    - Fix issues with Gtk/Glib's header files lookup. (Closes: #674630)
  * Update packages descriptions.
  * Fix SVN commit detection in get-svn-source.sh.
  * Update debian/copyright.
  * Refresh 1001-dont_run_ldconfig.patch.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Jun 2012 12:26:06 +0200
