=== debian/changelog ===
ganv (0~svn5021~dfsg0-2ubuntu2) trusty; urgency=medium

  * No change rebuild for new graphviz libs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2014 12:36:38 +0100

ganv (0~svn5021~dfsg0-2ubuntu1) trusty; urgency=low

  * Apply patch from shanipribadi (http://dev.drobilla.net/ticket/888) to
    fix build with libcgraph.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Oct 2013 10:19:22 +0100

ganv (0~svn5021~dfsg0-2build1) trusty; urgency=low

  * Rebuild for graphviz 2.30.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Oct 2013 23:48:39 +0100

ganv (0~svn5021~dfsg0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 11:00:30 +0100

ganv (0~svn5021~dfsg0-1) experimental; urgency=low

  * New upstream snapshot.
  * Improve repackaging.
  * Refresh 1001-dont_run_ldconfig.patch.
  * Fix Vcs fields.
  * Update Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Feb 2013 10:57:30 +0000
