=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ganv
 Section: libs
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9),
  gir1.2-gtk-2.0,
@@ -13,10 +14,10 @@
  libgtkmm-2.4-dev,
  pkg-config,
  python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://dev.drobilla.net/browser/trunk/ganv
-Vcs-Git: git://git.debian.org/git/collab-maint/ganv.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ganv.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ganv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ganv.git
 
 Package: libganv-1-1
 Architecture: any
