## ganv 1.4.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/env python
 import os
 import waflib.Options as Options
+import waflib.Utils as Utils
 import waflib.extras.autowaf as autowaf
 
 # Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-GANV_VERSION       = '1.2.0'
+GANV_VERSION       = '1.4.0'
 GANV_MAJOR_VERSION = '1'
 
 # Mandatory waf variables
@@ -24,6 +25,8 @@
                    help='Build unit tests')
     opt.add_option('--no-graphviz', action='store_true', dest='no_graphviz',
                    help='Do not compile with graphviz support')
+    opt.add_option('--no-fdgl', action='store_true', dest='no_fdgl',
+                   help='Use experimental force-directed graph layout')
     opt.add_option('--no-nls', action='store_true', dest='no_nls',
                    help='Disable i18n (native language support)')
     opt.add_option('--gir', action='store_true', dest='gir',
@@ -33,8 +36,8 @@
     conf.load('compiler_c')
     conf.load('compiler_cxx')
     autowaf.configure(conf)
+    autowaf.display_header('Ganv Configuration')
     autowaf.set_c99_mode(conf)
-    autowaf.display_header('Ganv Configuration')
 
     conf.env.BUILD_TESTS = Options.options.build_tests
 
@@ -46,10 +49,18 @@
     if Options.options.gir:
         autowaf.check_pkg(conf, 'gobject-introspection-1.0',
                           uselib_store='GIR', mandatory=False)
+        conf.find_program('g-ir-doc-tool', var='G_IR_DOC_TOOL', mandatory=False)
+        conf.find_program('yelp-build', var='YELP_BUILD', mandatory=False)
 
     if not Options.options.no_graphviz:
-        autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH',
-                          atleast_version='2.8', mandatory=False)
+        autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH_2_30',
+                          atleast_version='2.30', mandatory=False)
+        if not conf.is_defined('HAVE_AGRAPH_2_30'):
+            autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH_2_20',
+                              atleast_version='2.20', mandatory=False)
+
+    if not Options.options.no_fdgl:
+        autowaf.define(conf, 'GANV_FDGL', 1)
 
     if not Options.options.no_nls:
         autowaf.check_header(conf, 'c', 'libintl.h', 'ENABLE_NLS', mandatory=False)
@@ -58,7 +69,11 @@
 
     conf.write_config_header('ganv_config.h', remove=False)
 
-    autowaf.display_msg(conf, "Auto-arrange", conf.is_defined('HAVE_AGRAPH'))
+    autowaf.display_msg(conf, "Static (Graphviz) arrange",
+                        conf.is_defined('HAVE_AGRAPH_2_20') or
+                        conf.is_defined('HAVE_AGRAPH_2_30'))
+    autowaf.display_msg(conf, "Interactive force-directed arrange",
+                        conf.is_defined('GANV_FDGL'))
     autowaf.display_msg(conf, "Native language support", conf.is_defined('ENABLE_NLS'))
     autowaf.display_msg(conf, "GObject introspection", conf.is_defined('HAVE_GIR'))
     autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
@@ -68,11 +83,11 @@
     'src/Canvas.cpp',
     'src/Port.cpp',
     'src/box.c',
-    'src/canvas-base.c',
     'src/circle.c',
     'src/edge.c',
     'src/ganv-marshal.c',
     'src/group.c',
+    'src/item.c',
     'src/module.c',
     'src/node.c',
     'src/port.c',
@@ -80,6 +95,12 @@
     'src/widget.c'
 ]
 
+def declare_doc_files(task):
+    bld  = task.generator.bld
+    path = bld.path.get_bld().find_or_declare('doc-html')
+    for i in path.ant_glob('*', remove=False):
+        i.sig = Utils.h_file(i.abspath())
+
 def build(bld):
     # Headers
     includedir = '${INCLUDEDIR}/ganv-%s/ganv' % GANV_MAJOR_VERSION
@@ -87,7 +108,7 @@
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'GANV', GANV_VERSION, GANV_MAJOR_VERSION,
-                     'AGRAPH GLIBMM ART',
+                     'GTKMM AGRAPH_2_20 AGRAPH_2_30',
                      {'GANV_MAJOR_VERSION' : GANV_MAJOR_VERSION})
 
     bld(rule = 'glib-genmarshal --prefix=ganv_marshal --header ${SRC} > ${TGT}',
@@ -105,7 +126,7 @@
         includes        = ['.', './src'],
         name            = 'libganv',
         target          = 'ganv-%s' % GANV_MAJOR_VERSION,
-        uselib          = 'GTKMM AGRAPH ART',
+        uselib          = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
         vnum            = GANV_VERSION,
         install_path    = '${LIBDIR}')
 
@@ -114,31 +135,31 @@
         source       = 'src/ganv_bench.cpp',
         includes     = ['.', './src'],
         use          = 'libganv',
-        use_lib      = 'GTKMM',
+        uselib       = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
         target       = 'src/ganv_bench')
 
     if bld.env.BUILD_TESTS:
         # Static library for test program
-        bld(features     = 'c cstlib',
+        bld(features     = 'c cstlib cxx cxxshlib',
             source       = ganv_source,
             includes     = ['.', './src'],
             name         = 'libganv_profiled',
             target       = 'ganv_profiled',
-            uselib       = 'GTKMM AGRAPH ART',
+            uselib       = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
             install_path = '',
             cflags       = [ '-fprofile-arcs', '-ftest-coverage' ])
 
         # Test program (C)
-        bld(features     = 'c cprogram',
+        bld(features     = 'cxx cxxprogram',
             source       = 'src/ganv_test.c',
             includes     = ['.', './src'],
             use          = 'libganv_profiled',
             lib          = ['gcov'],
-            use_lib      = 'GTK',
+            uselib       = 'GTKMM AGRAPH_2_20 AGRAPH_2_30',
             target       = 'src/ganv_test')
 
     # Documentation
-    autowaf.build_dox(bld, 'GANV', GANV_VERSION, top, out)
+    #autowaf.build_dox(bld, 'GANV', GANV_VERSION, top, out)
 
     if bld.is_defined('HAVE_GIR'):
         bld.add_group()
@@ -170,6 +191,25 @@
             install_path = '${LIBDIR}/girepository-1.0',
             rule         = 'g-ir-compiler ${SRC} -o ${TGT}')
 
+        if bld.env.DOCS and bld.env['G_IR_DOC_TOOL'] and bld.env['YELP_BUILD']:
+            # The source and target files used here aren't exclusive,
+            # but are declared so waf can track dependencies
+            bld(rule   = '${G_IR_DOC_TOOL} --language C -o doc-xml ${SRC}',
+                source = 'Ganv-1.0.gir',
+                target = 'doc-xml/index.page')
+            bld(name   = 'yelp-build',
+                rule   = '${YELP_BUILD} html -o doc-html doc-xml',
+                source = 'doc-xml/index.page',
+                target = 'doc-html/index.html')
+            bld(name   = 'find-docs',
+                always = True,
+                rule   = declare_doc_files,
+                after  = 'yelp-build')
+
+            bld.install_files(
+                os.path.join('${DOCDIR}', 'ganv-0', 'html'),
+                bld.path.get_bld().ant_glob('doc-html/*'))
+
     bld.add_post_fun(autowaf.run_ldconfig)
 
 def test(ctx):
