=== debian/changelog ===
ganv (1.4.0~dfsg0-1) unstable; urgency=medium

  * Upstream's stable release.
  * Refresh patches.
  * Add proper repackaging mechanism to unpack waf.
  * Refresh debian/copyright.
  * Install upstream changelog.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 May 2014 18:20:43 +0100
