## ganv 1.4.2~dfsg0

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-GANV_VERSION       = '1.4.0'
+GANV_VERSION       = '1.4.2'
 GANV_MAJOR_VERSION = '1'
 
 # Mandatory waf variables
@@ -117,6 +117,10 @@
 
     bld(rule = 'glib-genmarshal --prefix=ganv_marshal --body ${SRC} > ${TGT}',
         source = 'src/ganv-marshal.list',
+        target = 'src/ganv-marshal.c.in')
+
+    bld(rule = 'cat ${SRC} > ${TGT}',
+        source = ['src/ganv-marshal.h', 'src/ganv-marshal.c.in'],
         target = 'src/ganv-marshal.c')
 
     # Library
