=== debian/changelog ===
ganv (1.4.2~dfsg0-2) unstable; urgency=medium

  * QA upload.

  [ Alessio Treglia ]
  * Orphaning this.

  [ IOhannes m zmölnig ]
  * Refreshed patch
  * Acknowledge NMU for g++5 ABI transition
  * Do not build with '-ansi'
    Thanks to Adrian Bunk <bunk@stusta.de> (Closes: #833969)
  * Multi-Archified package
  * Updated homepage field
  * Use canonical https:// uris for Vcs-* stanzas
  * Bumped standards to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 20:02:28 +0100

ganv (1.4.2~dfsg0-1.1) unstable; urgency=medium

  * Non-maintainer upload for libstdc++ transition (Closes: #791041)

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition.

 -- Simon McVittie <smcv@debian.org>  Mon, 31 Aug 2015 11:35:35 +0100

ganv (1.4.2~dfsg0-1) unstable; urgency=medium

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Aug 2014 11:54:07 +0100
