=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ganv
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 9),
  gir1.2-gtk-2.0,
@@ -13,17 +12,19 @@
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
- python
-Standards-Version: 3.9.4
-Homepage: http://dev.drobilla.net/browser/trunk/ganv
-Vcs-Git: git://anonscm.debian.org/collab-maint/ganv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ganv.git
+ python,
+Standards-Version: 3.9.8
+Homepage: http://drobilla.net/software/ganv
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ganv.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ganv.git
 
-Package: libganv-1-1
+Package: libganv-1-1v5
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+Conflicts: libganv-1-1
+Replaces: libganv-1-1
 Description: canvas widget for graph-based interfaces
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
@@ -41,14 +42,14 @@
 Section: libdevel
 Architecture: any
 Depends:
- libganv-1-1 (= ${binary:Version}),
+ libganv-1-1v5 (= ${binary:Version}),
  libglib2.0-dev,
  libgraphviz-dev,
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: canvas widget for graph-based interfaces (development files)
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
@@ -62,7 +63,7 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: GObject Introspection data for Ganv
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
