=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
+
+export REPACK_SH=$(CURDIR)/debian/repack.sh
 
 %:
 	dh $@
@@ -9,6 +11,7 @@
 override_dh_auto_configure:
 	$(WAF) configure \
 		--prefix=/usr \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=/usr/share/man \
 		--strict \
 		--gir \
@@ -29,3 +32,9 @@
 override_dh_shlibdeps:
 	dh_shlibdeps
 	dh_girepository -l src:debian/libganv-dev/usr/share/gir-1.0
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
+get-orig-source:
+	uscan --force-download
