=== debian/changelog ===
ganv (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Refresh patchset
  * Use dh-compat instead of d/compat and bump to 13
  * d/control:
    + Bump S-V to 4.5.0
    + Change Maintainer to Debian Multimedia Maintainers
    + Add me as uploader (Closes: #814941)
    + Use https for the homepage
    + Change Vcs-* to salsa
    + Set RRR: no
    + Add gir1.2-ganv-1.0 as Depends to libganv-dev
    + Mark libganv-1-1v5 and gir1.2-ganv-1.0 as Multi-Arch: same
    + Remove ${shlibs:Depends} from gir1.2-ganv-1.0 and libganv-dev
  * d/coypright:
    + Use https for all urls
    + Change source to gitlab
    + Update year
    + Add me to the d/section
  * Add ganv_bench to d/not-installed
  * d/rules:
    + Add hardening
    + Remove obsolete get-orig-source, and LDFLAGS, REPACK_SH export
  * Add d/upstream/signing-key.asc and update d/watch
  * Add d/upstream/metadata
  * Remove obsolete debian files

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 04 May 2020 19:47:32 +0200

ganv (1.4.2~dfsg0-3) unstable; urgency=medium

  * QA upload.
  * Upgrade waf
  * Use python3 to run waf. Closes: #943090

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2019 01:17:46 +0000
