=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ganv
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  gir1.2-gtk-2.0,
  gobject-introspection,
  libgirepository1.0-dev,
@@ -12,14 +13,16 @@
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
- python,
-Standards-Version: 3.9.8
-Homepage: http://drobilla.net/software/ganv
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ganv.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ganv.git
+ python3,
+Standards-Version: 4.5.0
+Homepage: https://drobilla.net/software/ganv
+Vcs-Git: https://salsa.debian.org/multimedia-team/ganv.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ganv
+Rules-Requires-Root: no
 
 Package: libganv-1-1v5
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -43,13 +46,13 @@
 Architecture: any
 Depends:
  libganv-1-1v5 (= ${binary:Version}),
+ gir1.2-ganv-1.0 (= ${binary:Version}),
  libglib2.0-dev,
  libgraphviz-dev,
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  pkg-config,
- ${misc:Depends},
- ${shlibs:Depends},
+ ${misc:Depends}
 Description: canvas widget for graph-based interfaces (development files)
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
@@ -60,10 +63,10 @@
 Package: gir1.2-ganv-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends:
  ${gir:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
+ ${misc:Depends}
 Description: GObject Introspection data for Ganv
  Ganv is an interactive Gtk canvas widget for graph-based interfaces
  (patchers, modular synthesizers, finite state automata, interactive
