=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/,uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
https://download.drobilla.net/ganv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
